BINCRYPTER(1)

NAME
bincrypter - Encrypt/Obfuscate executables or scripts.

SYNOPSIS
bincrypter [-hlq] [program] [password]

DESCRIPTION
bincrypter is a privacy and copyright protection tool for executables and scripts.

The bincrypter command is used to compress and obfuscate a program, and if a password is provided, it will encrypt the program as well. The encrypted program will only run if the correct password is supplied, either via the environment variable or entered by the user upon execution of the program.

The default mode is to compress and obfuscate only:
$ bincrypter myscript.sh

Encryption is used if a password is provided:
$ bincrypter myscript.sh MySecret

OPTIONS

-h  Display help information.

-l  Lock the program to the target system & user id (UID). Execution will fail if the program is moved to another system or executed under a different UID (by a different user).

-q  Quiet. Suppress all output.

NOTES
The program can be a file or "-" for stdin.

ENVIRONMENT
Various environment variables are used to control the behavior of bincrypter.

PASSWORD
Password to encrypt/decrypt.

BC_PASSWORD
Same as PASSWORD but BC_PASSWORD is exported and available to the callee. This can be used to run a program that has been encrypted twice, using two separate passwords. First with BC_PASSWORD and then with PASSWORD.

BC_PADDING
Add 0..n% of random padding to the original program. This is to foil attempts to identify the size of the original program. The default is 25. Use BC_PADDING=0 to disable.

BC_QUIET
See -q

BC_LOCK
See -l. The default is BC_LOCK=0. The program will refuse to run if executed on a different system or with a different UID. Instead, the program will terminate with the numerical value of BC_LOCK, or if set to a string, execute the string instead (e.g. BC_LOCK="echo 'LOCKED. You are not permitted to run this program.'; exit 255").

EXAMPLES
See -h for examples.

SECURITY
The encryption is as strong as the chosen password. Chose wisely.

SEE ALSO
upx(1)

BUGS
Efforts have been made to have bincrypter "do the right thing" in all its various modes. If you believe that it is doing the wrong thing under whatever circumstances, please notify me and tell me how you think it should behave.

AUTHOR
bincrypter was written by the fine people at https://thc.org. The latest version is available at https://github.com/hackerschoice/bincrypter.